Rendering time of _class_parameters.html.erb exceeds 250ms

11/01/2013 10:24 PM - Joseph Andaverde

Status: New   

Priority: Normal   

Assignee:    

Category: Performance   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This can be a huge problem if there are many parameters for a given host.

We are seeing render time complete in no less than 10 seconds for the edit view.

This log was generated for a view that contained 37 class parameters.

I've tracked it down to this function:

https://github.com/theforeman/foreman/blob/c70fcb7131b6605a47f6ae5febe7a59ba5a3c311/app/services/classification/base.rb#L51-

L71

Started GET "/hosts/illum-qa-echo.softek.local/edit" for 10.80.97.82 at Fri Nov 01 16:35:36 -0500 

2013

Processing by HostsController#edit as HTML

  Parameters: {"id"=>"illum-qa-echo.softek.local"}

  Rendered hosts/_progress.erb (0.6ms)

  Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

  Rendered puppetclasses/_classes.html.erb (635.7ms)

  Rendered puppetclasses/_class_selection.html.erb (681.8ms)

Connecting to database specified by database.yml

Fog is not installed - unable to manage compute resources

  Rendered puppetclasses/_class_parameters.html.erb (9665.8ms)

  Rendered puppetclasses/_classes_parameters.html.erb (9688.5ms)

  Rendered common_parameters/_inherited_parameters.erb (1.3ms)

  Rendered common_parameters/_puppetclass_parameter.erb (26.7ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.3ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.0ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.4ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.4ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.5ms)

  Rendered common_parameters/_puppetclass_parameter.erb (219.7ms)

  Rendered common_parameters/_puppetclass_parameter.erb (10.2ms)

  Rendered common_parameters/_puppetclass_parameter.erb (10.0ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.7ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.7ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.6ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.4ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.1ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.1ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.0ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.3ms)

  Rendered common_parameters/_puppetclass_parameter.erb (7.8ms)

  Rendered common_parameters/_puppetclass_parameter.erb (222.4ms)

  Rendered common_parameters/_puppetclass_parameter.erb (10.5ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.7ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.5ms)
  Rendered common_parameters/_puppetclass_parameter.erb (8.9ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.9ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.9ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.9ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.9ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.0ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.1ms)

  Rendered common_parameters/_puppetclass_parameter.erb (225.9ms)

  Rendered common_parameters/_puppetclass_parameter.erb (11.3ms)

  Rendered common_parameters/_puppetclass_parameter.erb (10.6ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.8ms)

  Rendered common_parameters/_puppetclass_parameter.erb (9.0ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.7ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.5ms)

  Rendered common_parameters/_puppetclass_parameter.erb (8.1ms)

  Rendered common_parameters/_puppetclass_parameter.erb (2.8ms)

  Rendered common_parameters/_puppetclasses_parameters.erb (1038.9ms)

  Rendered common_parameters/_parameter.erb (3.2ms)

  Rendered common_parameters/_parameters.erb (27.5ms)

  Rendered hosts/_form.html.erb (12385.2ms)

  Rendered hosts/edit.html.erb within layouts/application (12393.6ms)

  Rendered home/_user_dropdown.html.erb (343.8ms)

Read fragment views/tabs_and_title_records-4 (0.2ms)

  Rendered home/_organization_dropdown.html.erb (9.6ms)

  Rendered home/_org_switcher.html.erb (12.0ms)

  Rendered home/_settings.html.erb (25.6ms)

Write fragment views/tabs_and_title_records-4 (2.0ms)

  Rendered home/_topbar.html.erb (272.0ms)

Completed 200 OK in 13394ms (Views: 12797.8ms | ActiveRecord: 262.6ms)

History

#1 - 11/04/2013 09:02 AM - Dominic Cleal

- Category set to Performance
